Upstream information

CVE-2016-4975 at MITRE

Description

Possible CRLF injection allowing HTTP response splitting attacks for sites which use mod_userdir. This issue was mitigated by changes made in 2.4.25 and 2.2.32 which prohibit CR or LF injection into the "Location" or other outbound header key or value. Fixed in Apache HTTP Server 2.4.25 (Affected 2.4.1-2.4.23). Fixed in Apache HTTP Server 2.2.32 (Affected 2.2.0-2.2.31).

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having low severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 4.3
Vector AV:N/AC:M/Au:N/C:N/I:P/A:N
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact None
Integrity Impact Partial
Availability Impact None
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 6.1 3.9
Vector CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:C/C:L/I:L/A:N CVSS:3.0/AV:L/AC:L/PR:L/UI:R/S:U/C:L/I:L/A:N
Attack Vector Network Local
Attack Complexity Low Low
Privileges Required None Low
User Interaction Required Required
Scope Changed Unchanged
Confidentiality Impact Low Low
Integrity Impact Low Low
Availability Impact None None
CVSSv3 Version 3 3
SUSE Bugzilla entry: 1104826 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Enterprise Storage 4
  • apache2 >= 2.4.23-29.24.1
  • apache2-doc >= 2.4.23-29.24.1
  • apache2-example-pages >= 2.4.23-29.24.1
  • apache2-prefork >= 2.4.23-29.24.1
  • apache2-utils >= 2.4.23-29.24.1
  • apache2-worker >= 2.4.23-29.24.1
Patchnames:
SUSE-Storage-4-2018-1970
SUSE Linux Enterprise Desktop 12 SP3
SUSE Linux Enterprise Software Development Kit 12 SP3
  • apache2-devel >= 2.4.23-29.24.1
Patchnames:
SUSE-SLE-SDK-12-SP3-2018-1970
SUSE Linux Enterprise Desktop 12 SP4
SUSE Linux Enterprise Server for SAP Applications 12 SP4
SUSE Linux Enterprise Software Development Kit 12 SP4
  • apache2-devel >= 2.4.23-29.24.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP4 GA apache2-devel-2.4.23-29.24.1
SUSE Linux Enterprise High Performance Computing 12 SP5
  • apache2 >= 2.4.23-29.43.1
  • apache2-doc >= 2.4.23-29.43.1
  • apache2-example-pages >= 2.4.23-29.43.1
  • apache2-prefork >= 2.4.23-29.43.1
  • apache2-utils >= 2.4.23-29.43.1
  • apache2-worker >= 2.4.23-29.43.1
Patchnames:
SUSE Linux Enterprise High Performance Computing 12 SP5 GA apache2-2.4.23-29.43.1
SUSE Linux Enterprise Point of Sale 12 SP2-CLIENT
  • apache2 >= 2.4.23-29.24.1
  • apache2-doc >= 2.4.23-29.24.1
  • apache2-example-pages >= 2.4.23-29.24.1
  • apache2-prefork >= 2.4.23-29.24.1
  • apache2-utils >= 2.4.23-29.24.1
  • apache2-worker >= 2.4.23-29.24.1
Patchnames:
SUSE-SLE-POS-12-SP2-CLIENT-2018-1970
SUSE Linux Enterprise Server 12 SP1-LTSS
  • apache2 >= 2.4.16-20.19.1
  • apache2-doc >= 2.4.16-20.19.1
  • apache2-example-pages >= 2.4.16-20.19.1
  • apache2-prefork >= 2.4.16-20.19.1
  • apache2-utils >= 2.4.16-20.19.1
  • apache2-worker >= 2.4.16-20.19.1
Patchnames:
SUSE-SLE-SERVER-12-SP1-2018-1791
SUSE Linux Enterprise Server 12 SP2-BCL
  • apache2 >= 2.4.23-29.24.1
  • apache2-doc >= 2.4.23-29.24.1
  • apache2-example-pages >= 2.4.23-29.24.1
  • apache2-prefork >= 2.4.23-29.24.1
  • apache2-utils >= 2.4.23-29.24.1
  • apache2-worker >= 2.4.23-29.24.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-BCL-2018-1970
SUSE Linux Enterprise Server 12 SP2-ESPOS
  • apache2 >= 2.4.23-29.24.1
  • apache2-doc >= 2.4.23-29.24.1
  • apache2-example-pages >= 2.4.23-29.24.1
  • apache2-prefork >= 2.4.23-29.24.1
  • apache2-utils >= 2.4.23-29.24.1
  • apache2-worker >= 2.4.23-29.24.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-ESPOS-2018-1970
SUSE Linux Enterprise Server 12 SP2-LTSS
  • apache2 >= 2.4.23-29.24.1
  • apache2-doc >= 2.4.23-29.24.1
  • apache2-example-pages >= 2.4.23-29.24.1
  • apache2-prefork >= 2.4.23-29.24.1
  • apache2-utils >= 2.4.23-29.24.1
  • apache2-worker >= 2.4.23-29.24.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-2018-1970
SUSE Linux Enterprise Server 12 SP3
SUSE Linux Enterprise Server for SAP Applications 12 SP3
  • apache2 >= 2.4.23-29.24.1
  • apache2-devel >= 2.4.23-29.24.1
  • apache2-doc >= 2.4.23-29.24.1
  • apache2-example-pages >= 2.4.23-29.24.1
  • apache2-prefork >= 2.4.23-29.24.1
  • apache2-utils >= 2.4.23-29.24.1
  • apache2-worker >= 2.4.23-29.24.1
Patchnames:
SUSE-SLE-SDK-12-SP3-2018-1970
SUSE-SLE-SERVER-12-SP3-2018-1970
SUSE Linux Enterprise Server 12 SP4
  • apache2 >= 2.4.23-29.24.1
  • apache2-devel >= 2.4.23-29.24.1
  • apache2-doc >= 2.4.23-29.24.1
  • apache2-example-pages >= 2.4.23-29.24.1
  • apache2-prefork >= 2.4.23-29.24.1
  • apache2-utils >= 2.4.23-29.24.1
  • apache2-worker >= 2.4.23-29.24.1
Patchnames:
SUSE Linux Enterprise Server 12 SP4 GA apache2-2.4.23-29.24.1
SUSE Linux Enterprise Software Development Kit 12 SP4 GA apache2-devel-2.4.23-29.24.1
SUSE Linux Enterprise Server 12 SP5
  • apache2 >= 2.4.23-29.43.1
  • apache2-devel >= 2.4.23-29.24.1
  • apache2-doc >= 2.4.23-29.43.1
  • apache2-example-pages >= 2.4.23-29.43.1
  • apache2-prefork >= 2.4.23-29.43.1
  • apache2-utils >= 2.4.23-29.43.1
  • apache2-worker >= 2.4.23-29.43.1
Patchnames:
SUSE Linux Enterprise Server 12 SP5 GA apache2-2.4.23-29.43.1
SUSE Linux Enterprise Software Development Kit 12 SP5 GA apache2-2.4.23-29.43.1
SUSE Linux Enterprise Software Development Kit 12 SP5 GA apache2-devel-2.4.23-29.43.1
SUSE Linux Enterprise Server for SAP Applications 12 SP1
  • apache2 >= 2.4.16-20.19.1
  • apache2-doc >= 2.4.16-20.19.1
  • apache2-example-pages >= 2.4.16-20.19.1
  • apache2-prefork >= 2.4.16-20.19.1
  • apache2-utils >= 2.4.16-20.19.1
  • apache2-worker >= 2.4.16-20.19.1
Patchnames:
SUSE-SLE-SAP-12-SP1-2018-1791
SUSE Linux Enterprise Server for SAP Applications 12 SP2
  • apache2 >= 2.4.23-29.24.1
  • apache2-doc >= 2.4.23-29.24.1
  • apache2-example-pages >= 2.4.23-29.24.1
  • apache2-prefork >= 2.4.23-29.24.1
  • apache2-utils >= 2.4.23-29.24.1
  • apache2-worker >= 2.4.23-29.24.1
Patchnames:
SUSE-SLE-SAP-12-SP2-2018-1970
SUSE Linux Enterprise Server for SAP Applications 12 SP5
SUSE Linux Enterprise Software Development Kit 12 SP5
  • apache2-devel >= 2.4.23-29.24.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP5 GA apache2-2.4.23-29.43.1
SUSE Linux Enterprise Software Development Kit 12 SP5 GA apache2-devel-2.4.23-29.43.1
SUSE OpenStack Cloud 7
  • apache2 >= 2.4.23-29.24.1
  • apache2-doc >= 2.4.23-29.24.1
  • apache2-example-pages >= 2.4.23-29.24.1
  • apache2-prefork >= 2.4.23-29.24.1
  • apache2-utils >= 2.4.23-29.24.1
  • apache2-worker >= 2.4.23-29.24.1
Patchnames:
SUSE-OpenStack-Cloud-7-2018-1970


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification. The updates are grouped by state of their lifecycle. SUSE product lifecycles are documented on the lifecycle page.

Product(s) Source package State
Products under general support and receiving all security fixes.
SUSE Linux Enterprise High Performance Computing 12 SP5 apache2 Affected
SUSE Linux Enterprise Server 12 SP5 apache2 Released
SUSE Linux Enterprise Server for SAP Applications 12 SP5 apache2 Released
SUSE Linux Enterprise Software Development Kit 12 SP5 apache2 Released
Products past their end of life and not receiving proactive updates anymore.
HPE Helion OpenStack 8 apache2 Affected
SUSE CaaS Platform 4.0 apache2 Already fixed
SUSE Enterprise Storage 4 apache2 Released
SUSE Enterprise Storage 6 apache2 Already fixed
SUSE Linux Enterprise Desktop 11 SP4 apache2 Already fixed
SUSE Linux Enterprise Desktop 12 SP1 apache2 Affected
SUSE Linux Enterprise Desktop 12 SP2 apache2 Affected
SUSE Linux Enterprise Desktop 12 SP3 apache2 Released
SUSE Linux Enterprise Desktop 12 SP4 apache2 Affected
SUSE Linux Enterprise High Performance Computing 15 apache2 Already fixed
SUSE Linux Enterprise High Performance Computing 15 SP1 apache2 Already fixed
SUSE Linux Enterprise High Performance Computing 15 SP1-ESPOS apache2 Already fixed
SUSE Linux Enterprise High Performance Computing 15 SP1-LTSS apache2 Already fixed
SUSE Linux Enterprise High Performance Computing 15-ESPOS apache2 Already fixed
SUSE Linux Enterprise High Performance Computing 15-LTSS apache2 Already fixed
SUSE Linux Enterprise Module for Server Applications 15 apache2 Already fixed
SUSE Linux Enterprise Module for Server Applications 15 SP1 apache2 Already fixed
SUSE Linux Enterprise Point of Sale 12 SP2-CLIENT apache2 Released
SUSE Linux Enterprise Server 11 SP3 apache2 Already fixed
SUSE Linux Enterprise Server 11 SP3 LTSS apache2 Already fixed
SUSE Linux Enterprise Server 11 SP3-LTSS apache2 Already fixed
SUSE Linux Enterprise Server 11 SP4 apache2 Already fixed
SUSE Linux Enterprise Server 11 SP4-LTSS apache2 Already fixed
SUSE Linux Enterprise Server 12 SP1 apache2 Affected
SUSE Linux Enterprise Server 12 SP1-LTSS apache2 Released
SUSE Linux Enterprise Server 12 SP2 apache2 Affected
SUSE Linux Enterprise Server 12 SP2-BCL apache2 Released
SUSE Linux Enterprise Server 12 SP2-ESPOS apache2 Released
SUSE Linux Enterprise Server 12 SP2-LTSS apache2 Released
SUSE Linux Enterprise Server 12 SP3 apache2 Released
SUSE Linux Enterprise Server 12 SP3-BCL apache2 Unsupported
SUSE Linux Enterprise Server 12 SP3-ESPOS apache2 Unsupported
SUSE Linux Enterprise Server 12 SP3-LTSS apache2 Unsupported
SUSE Linux Enterprise Server 12 SP4 apache2 Affected
SUSE Linux Enterprise Server 12 SP4-ESPOS apache2 Affected
SUSE Linux Enterprise Server 12 SP4-LTSS apache2 Affected
SUSE Linux Enterprise Server 15 apache2 Already fixed
SUSE Linux Enterprise Server 15 SP1 apache2 Already fixed
SUSE Linux Enterprise Server 15 SP1-BCL apache2 Already fixed
SUSE Linux Enterprise Server 15 SP1-LTSS apache2 Already fixed
SUSE Linux Enterprise Server 15-LTSS apache2 Already fixed
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2 apache2 Affected
SUSE Linux Enterprise Server for SAP Applications 11 SP4 apache2 Already fixed
SUSE Linux Enterprise Server for SAP Applications 12 SP1 apache2 Released
SUSE Linux Enterprise Server for SAP Applications 12 SP2 apache2 Released
SUSE Linux Enterprise Server for SAP Applications 12 SP3 apache2 Released
SUSE Linux Enterprise Server for SAP Applications 12 SP4 apache2 Affected
SUSE Linux Enterprise Server for SAP Applications 15 apache2 Already fixed
SUSE Linux Enterprise Server for SAP Applications 15 SP1 apache2 Already fixed
SUSE Linux Enterprise Software Development Kit 11 SP4 apache2 Already fixed
SUSE Linux Enterprise Software Development Kit 12 SP1 apache2 Affected
SUSE Linux Enterprise Software Development Kit 12 SP2 apache2 Affected
SUSE Linux Enterprise Software Development Kit 12 SP3 apache2 Released
SUSE Linux Enterprise Software Development Kit 12 SP4 apache2 Affected
SUSE Manager Proxy 4.0 apache2 Already fixed
SUSE Manager Retail Branch Server 4.0 apache2 Already fixed
SUSE Manager Server 4.0 apache2 Already fixed
SUSE OpenStack Cloud 7 apache2 Released
SUSE OpenStack Cloud 8 apache2 Affected
SUSE OpenStack Cloud 9 apache2 Affected
SUSE OpenStack Cloud Crowbar 8 apache2 Affected
SUSE OpenStack Cloud Crowbar 9 apache2 Affected
SUSE Studio Onsite 1.3 apache2 Already fixed


SUSE Timeline for this CVE

CVE page created: Tue Aug 14 18:15:09 2018
CVE page last modified: Sat Jun 15 23:00:31 2024